#!/bin/sh
#
VERSION=$1
#
INSTALLDIR=/var/tmp
CONTROLHOME=/media/hdd/control

cd $CONTROLHOME
if [ -z $VERSION ]; then
echo "Version needs to be passed as argument, cann't do anything"
echo "---------------------------------------------"
exit 1
fi
 
echo "---------------------------------------------"
echo "Creating Remote Control Installation Kit Version: $VERSION"
echo "---------------------------------------------"

if [ ! -d $INSTALLDIR ]; then
mkdir $INSTALLDIR
fi
dos2unix $CONTROLHOME/readme*.txt
#
if [ -f /usr/local/bin/gcc ]; then
   echo "Compiler found - recompiling !"
   echo "---------------------------------------------"
   gcc -o record record.c
   gcc -o control control.c
   gcc -o remote remote.c
   gcc -o restart restart.c
   gcc -o zapdown zapdown.c
   gcc -o zapup zapup.c
fi
#
cp control.sh /usr/bin
cp fbshot /usr/bin
cp record /usr/bin
cp remote /usr/bin
cp restart /usr/bin
cp zapdown /usr/bin
cp zapup /usr/bin
cp control /usr/bin
#
tar -cf $INSTALLDIR/control$VERSION.tar /usr/bin/control /usr/bin/control.sh /usr/bin/fbshot $CONTROLHOME/MRC/*.MRC /usr/bin/zapup /usr/bin/zapdown /usr/bin/restart /usr/bin/remote /usr/bin/record $CONTROLHOME/makekit.sh $CONTROLHOME/readme.txt
echo " Kit contains "
echo "---------------------------------------------"
tar -tvf $INSTALLDIR/control$VERSION.tar
echo "---------------------------------------------"
if [ ! -f /usr/bin/bzip2 ]; then
cd /
ipkg install $INSTALLDIR/bzip2*
cd $CONTROLHOME
echo "---------------------------------------------"
fi
echo "Copying kit to $INSTALLDIR"
echo "---------------------------------------------"
bzip2 -f $INSTALLDIR/control$VERSION.tar
ls -1alh $INSTALLDIR/control$VERSION.tar.*
echo "---------------------------------------------"
cd $CONTROLHOME
exit 0

