#!/bin/sh
# 
# remote controls by thowi
# modded by gutemine
#
VERSION=41
LINE="-----------------------------------------------"
CONTROLHOME=/media/hdd/control
MRCHOME=$CONTROLHOME/MRC
MRCTMP=/var/tmp/MRCLIST.tmp
echo $LINE
if [ $# -gt 12 ]; then
echo "only first 12 commands will be executed !"
fi
if [ $# -lt 1 ]; then
echo "no command passed !"
echo $LINE
exit 1
fi
echo "executing control: $1 $2 $3 $4 $5 $6 $7 $8 $9 $10 $11 $12"
COMMAND="$1 $2 $3 $4 $5 $6 $7 $8 $9 $10 $11 $12"
for CMD in $COMMAND
do
if [ $1 != "MACRO" -a $1 != "MRC" ]; then
   echo $LINE
   echo "control: $CMD"
   echo $LINE
fi
case $CMD in 
"MACRO" | "MAKRO" | "MRC" )
dos2unix $MRCHOME/*.MRC
if [ $# -lt 2 ]; then
   echo $LINE
   echo "no macro name passed !"
   echo $LINE
   exit 1
else
   if [ $2 = "LIST" ]; then
      ls -a1 $MRCHOME/*.MRC > $MRCTMP
      sed -ie s!$MRCHOME/!!g $MRCTMP
      sed -ie s!".MRC"!!g $MRCTMP
      echo $LINE
      echo "list of *.MRC MACROS"
      echo $LINE
      cat $MRCTMP
      rm $MRCTMP > /dev/null 2>&1
      echo $LINE
      exit 0
   fi
   if [ -f $MRCHOME/$2.MRC ]; then
      CMD=`cat $MRCHOME/$2.MRC`
      echo $LINE
      echo "executing MACRO = control: $CMD"
      /usr/bin/control.sh $CMD
      exit 0
   else
      echo $LINE
      echo "MACRO files $2.MRC doesn't exist !"
      echo $LINE
      exit 1
   fi
fi
;;
"OFF" | "116" )
control 116
;;
"MENU" | "139" )
control 139
;;
"EXIT" | "EXIT1" | "174" )
control 174
;;
"EXIT2" )
control 174
control 174
;;
"EXIT3" )
control 174
control 174
control 174
;;
"EXIT4" )
control 174
control 174
control 174
control 174
;;
"EXIT5" )
control 174
control 174
control 174
control 174
control 174
;;
"EXIT6" )
control 174
control 174
control 174
control 174
control 174
control 174
;;
"EXIT7" )
control 174
control 174
control 174
control 174
control 174
control 174
control 174
;;
"EXIT8" )
control 174
control 174
control 174
control 174
control 174
control 174
control 174
control 174
;;
"OK" | "352" )
control 352
;;
"UP"| "UP1" | "103" )
control 103
;;
"UP2" )
control 102
control 102
;;
"UP3" )
control 102
control 102
control 102
;;
"UP4" )
control 102
control 102
control 102
control 102
;;
"UP5" )
control 102
control 102
control 102
control 102
control 102
;;
"UP6" )
control 102
control 102
control 102
control 102
control 102
control 102
;;
"UP7" )
control 102
control 102
control 102
control 102
control 102
control 102
control 102
;;
"UP8" )
control 102
control 102
control 102
control 102
control 102
control 102
control 102
control 102
;;
"DOWN" | "DOWN1" | "108" )
control 108
;;
"DOWN2" )
control 108
control 108
;;
"DOWN3" )
control 108
control 108
control 108
;;
"DOWN4" )
control 108
control 108
control 108
control 108
;;
"DOWN5" )
control 108
control 108
control 108
control 108
control 108
;;
"DOWN6" )
control 108
control 108
control 108
control 108
control 108
control 108
;;
"DOWN7" )
control 108
control 108
control 108
control 108
control 108
control 108
control 108
;;
"DOWN8" )
control 108
control 108
control 108
control 108
control 108
control 108
control 108
control 108
;;
"OSDSHOT" | "FBSHOT" )
/usr/bin/fbshot osdshot.png
;;
"ZAPTO" )
if [ $# -lt 2 ]; then
   echo "no Channel number passed for ZAPTO"
   echo $LINE
   exit 1
fi
CHANNEL=0
EINER=0
ZEHNER=0
HUNDERTER=0
if [ $2 -ge 0 ]; then
   CHANNEL=$2
else
   exit 1
fi > /dev/null 2>&1
if [ $2 -gt 999 ]; then
   exit 1
fi > /dev/null 2>&1
HUNDERTER=`expr $CHANNEL / 100`
ZEHNER=`expr $CHANNEL / 10 - $HUNDERTER "*" 10`
EINER=`expr $CHANNEL - $HUNDERTER "*" 100 - $ZEHNER "*" 10`
echo "Hunderter: $HUNDERTER Zehner: $ZEHNER Einer: $EINER"

if [ $HUNDERTER = "0" ]; then
   if [ $ZEHNER = "0" ]; then
      /usr/bin/control.sh $EINER
   else
      /usr/bin/control.sh $ZEHNER
      /usr/bin/control.sh $EINER
   fi
else
   /usr/bin/control.sh $HUNDERTER
   /usr/bin/control.sh $ZEHNER
   /usr/bin/control.sh $EINER
fi
control 352
echo $LINE
exit 0

;;
"RIGHT" | "RIGHT1" | "ZAPUP" | "106" )
control 106
;;
"RIGHT2" )
control 106
control 106
;;
"RIGHT3" )
control 106
control 106
control 106
;;
"RIGHT4" )
control 106
control 106
control 106
control 106
;;
"RIGHT5" )
control 106
control 106
control 106
control 106
control 106
;;
"RIGHT6" )
control 106
control 106
control 106
control 106
control 106
control 106
;;
"RIGHT7" )
control 106
control 106
control 106
control 106
control 106
control 106
control 106
;;
"RIGHT8" )
control 106
control 106
control 106
control 106
control 106
control 106
control 106
control 106
;;
"LEFT" | "LEFT1" | "ZAPDOWN" | "105" )
control 105
;;
"LEFT2" )
control 105
;;
"LEFT3" )
control 105
control 105
control 105
;;
"LEFT4" )
control 105
control 105
control 105
control 105
;;
"LEFT5" )
control 105
control 105
control 105
control 105
control 105
;;
"LEFT6" )
control 105
control 105
control 105
control 105
control 105
control 105
;;
"LEFT7" )
control 105
control 105
control 105
control 105
control 105
control 105
control 105
;;
"LEFT8" )
control 105
control 105
control 105
control 105
control 105
control 105
control 105
control 105
;;
"RED" | "398" )
control 398
;;
"GREEN" | "399" )
control 399
;;
"YELLOW" | "400" )
control 400
;;
"BLUE" | "401" )
control 401
;;
"PIP" )
control 401 1
control 352
;;
"LONGBLUE" )
control 401 1
;;
"LONGYELLOW" )
control 400 1
;;
"TV" | "377" )
control 377
;;
"RADIO" | "385" )
control 385
;;
"TEXT" | "388" )
control 388
;;
"HELP" | "138" )
control 138
;;
"VIDEO" | "393" )
control 393
;;
"AUDIO" | "392" )
control 392
;;
"INFO" | "358" )
control 358
;;
"VOLUP" | "115" )
control 115
;;
"VOLDOWN" | "114" )
control 114
;;
"BOUQUP" | "402" )
control 402
;;
"BOUQDOWN" | "403" )
control 403
;;
"SPEAKOFF" | "DELETE" | "113")
control 113
;;
"DELETE60" )
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
control 113
;;
"BRLEFT" | "412" )
control 412
;;
"BRRIGHT" | "407" )
control 407
;;
"K1" | "1" )
control 2
;;
"K2" | "2" )
control 3
;;
"K3" | "3" )
control 4
;;
"K4" | "4" )
control 5
;;
"K5" | "5" )
control 6
;;
"K6" | "6" )
control 7
;;
"K7" | "7" )
control 8
;;
"K8" | "8" )
control 9
;;
"K9" | "9" )
control 10
;;
"K0" | "0" )
control 11
;;
"SLEEP" )
sleep 1
;;
*)
echo "Command: unknown"
;;
esac

done
echo $LINE

exit 0
